# class Puppet::Parser::AST::ASTHash

### Public Class Methods

new(args) click to toggle source
Calls superclass method

    # File lib/puppet/parser/ast/asthash.rb, line 32
    def initialize(args)
      super(args)
      @value ||= {}
    end

### Public Instance Methods

evaluate(scope) click to toggle source

Evaluate our children.

    # File lib/puppet/parser/ast/asthash.rb, line 8
    def evaluate(scope)
      items = {}

      @value.each_pair do |k,v|
        key = k.respond_to?(:safeevaluate) ? k.safeevaluate(scope) : k
        items.merge!({ key => v.safeevaluate(scope) })
      end

      items
    end

merge(hash) click to toggle source

    # File lib/puppet/parser/ast/asthash.rb, line 19
    def merge(hash)
      case hash
      when ASTHash
        @value = @value.merge(hash.value)
      when Hash
        @value = @value.merge(hash)
      end
    end

to_s() click to toggle source

    # File lib/puppet/parser/ast/asthash.rb, line 28
    def to_s
      "{" + @value.collect { |v| v.collect { |a| a.to_s }.join(' => ') }.join(', ') + "}"
    end